> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.shipbob.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.shipbob.com/_mcp/server.

# Mark Tracking Uploaded

POST https://api.shipbob.com/2026-01/shipment:batchUpdateTrackingUpload
Content-Type: application/json

Mark tracking information as synced to your external system for multiple shipments. Use this endpoint after syncing tracking data to update the IsTrackingUploaded flag, preventing these shipments from appearing in future GET /order queries with IsTrackingUploaded=false.Use this endpoint if you're filtering orders by is_tracking_uploaded. This allows integrations to acknowledge that shipments have been successfully synced to their system.

Reference: https://developer.shipbob.com/2026-01/api/orders/mark-tracking-uploaded

## Authentication

- `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token
- `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens

## Servers

- `https://api.shipbob.com` (https://api.shipbob.com, default)
- `https://sandbox-api.shipbob.com` (https://sandbox-api.shipbob.com)

## Request

### Body (application/json)

This endpoint expects an object.

- `is_tracking_uploaded` (boolean, optional) — Indicates whether the Shipment was marked with tracking information uploaded to a third-party system where the order originated. Applies to all shipments in shipment_ids
- `shipment_ids` (list of integer, optional, nullable) — Shipment IDs to apply the tracking upload status to

## Response

### 200

Success

- `results` (list of object, optional, nullable)
  - `error` (object, optional)
    - `code` (string, optional, nullable)
    - `message` (string, optional, nullable)
  - `isSuccess` (boolean, optional)
  - `shipmentId` (long, optional)
- `summary` (object, optional)
  - `failed` (integer, optional)
  - `successful` (integer, optional)
  - `total` (integer, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `string`

### 401 Unauthorized Error

No access right at this time

- `any`

### 403 Forbidden Error

No access

- `any`

### 404 Not Found Error

Not Found

- `any`

## Examples

**Request**

```json
{
  "is_tracking_uploaded": true,
  "shipment_ids": [
    100810005
  ]
}
```

**Response**

```json
{
  "results": [
    {
      "error": {
        "code": "string",
        "message": "string"
      },
      "isSuccess": true,
      "shipmentId": 100810005
    }
  ],
  "summary": {
    "failed": 0,
    "successful": 1,
    "total": 1
  }
}
```

**SDK Code**

```python default
import requests

url = "https://api.shipbob.com/2026-01/shipment:batchUpdateTrackingUpload"

payload = {
    "is_tracking_uploaded": True,
    "shipment_ids": [100810005]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript default
const url = 'https://api.shipbob.com/2026-01/shipment:batchUpdateTrackingUpload';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"is_tracking_uploaded":true,"shipment_ids":[100810005]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go default
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/2026-01/shipment:batchUpdateTrackingUpload"

	payload := strings.NewReader("{\n  \"is_tracking_uploaded\": true,\n  \"shipment_ids\": [\n    100810005\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby default
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/2026-01/shipment:batchUpdateTrackingUpload")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"is_tracking_uploaded\": true,\n  \"shipment_ids\": [\n    100810005\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java default
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.shipbob.com/2026-01/shipment:batchUpdateTrackingUpload")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"is_tracking_uploaded\": true,\n  \"shipment_ids\": [\n    100810005\n  ]\n}")
  .asString();
```

```php default
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.shipbob.com/2026-01/shipment:batchUpdateTrackingUpload', [
  'body' => '{
  "is_tracking_uploaded": true,
  "shipment_ids": [
    100810005
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp default
using RestSharp;

var client = new RestClient("https://api.shipbob.com/2026-01/shipment:batchUpdateTrackingUpload");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"is_tracking_uploaded\": true,\n  \"shipment_ids\": [\n    100810005\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift default
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "is_tracking_uploaded": true,
  "shipment_ids": [100810005]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2026-01/shipment:batchUpdateTrackingUpload")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```